package com.inspect.ivs.vo;


public class IvsPresetDelVo extends IvsVo {
   private String serial;
   private String channel;
   private String preset;
   private String presetIndex;

   public String getSerial() {
      return this.serial;
   }

   public String getChannel() {
      return this.channel;
   }

   public String getPreset() {
      return this.preset;
   }

   public String getPresetIndex() {
      return this.presetIndex;
   }

   public void setSerial(String serial) {
      this.serial = serial;
   }

   public void setChannel(String channel) {
      this.channel = channel;
   }

   public void setPreset(String preset) {
      this.preset = preset;
   }

   public void setPresetIndex(String presetIndex) {
      this.presetIndex = presetIndex;
   }

   public boolean equals(Object o) {
      if(o == this) {
         return true;
      } else if(!(o instanceof IvsPresetDelVo)) {
         return false;
      } else {
         IvsPresetDelVo other = (IvsPresetDelVo)o;
         if(!other.canEqual(this)) {
            return false;
         } else {
            label59: {
               Object this$serial = this.getSerial();
               Object other$serial = other.getSerial();
               if(this$serial == null) {
                  if(other$serial == null) {
                     break label59;
                  }
               } else if(this$serial.equals(other$serial)) {
                  break label59;
               }

               return false;
            }

            Object this$channel = this.getChannel();
            Object other$channel = other.getChannel();
            if(this$channel == null) {
               if(other$channel != null) {
                  return false;
               }
            } else if(!this$channel.equals(other$channel)) {
               return false;
            }

            Object this$preset = this.getPreset();
            Object other$preset = other.getPreset();
            if(this$preset == null) {
               if(other$preset != null) {
                  return false;
               }
            } else if(!this$preset.equals(other$preset)) {
               return false;
            }

            Object this$presetIndex = this.getPresetIndex();
            Object other$presetIndex = other.getPresetIndex();
            if(this$presetIndex == null) {
               if(other$presetIndex != null) {
                  return false;
               }
            } else if(!this$presetIndex.equals(other$presetIndex)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof IvsPresetDelVo;
   }

   public int hashCode() {
      int PRIME = 1;
      int result = 1;
      Object $serial = this.getSerial();
      result = result * 59 + ($serial == null?43:$serial.hashCode());
      Object $channel = this.getChannel();
      result = result * 59 + ($channel == null?43:$channel.hashCode());
      Object $preset = this.getPreset();
      result = result * 59 + ($preset == null?43:$preset.hashCode());
      Object $presetIndex = this.getPresetIndex();
      result = result * 59 + ($presetIndex == null?43:$presetIndex.hashCode());
      return result;
   }

   public String toString() {
      return "IvsPresetDelVo(serial=" + this.getSerial() + ", channel=" + this.getChannel() + ", preset=" + this.getPreset() + ", presetIndex=" + this.getPresetIndex() + ")";
   }
}
